Parallels Tools 10 and Linux Kernel 4.2

There seem to a be problem with Parallels Tools 10.3 and recent versions of the Linux kernel (4.2, at least, which is used by recent versions of Fedora 22 and Fedora 23, for example). During the installation tools, the installer fails to compile one of the modules. That can lead to problems booting up your virtual machine.

In Fedora, in order to avoid this problem, you can just add the following line to /etc/dnf/dnf.conf file:

After Parallels release an update, you just remove the line, update the system, and it should be fine. As a final reminder, you should always generate a snapshot before upgrading the system.

Published by

Otavio Piske

Just another nerd

Leave a Reply

Your email address will not be published. Required fields are marked *